Loading...
Searching...
No Matches
WeightBlockEncoder Class Reference

`#include <weightblockencoder.h>`

## Public Member Functions

| WeightBlockEncoder (size_t nPolarizations, size_t nChannels, size_t quantCount)
size_t | MetaDataFloatCount () const
size_t | SymbolCount (size_t nRowsInBlock) const
void | InitializeDecode (const float *metaBuffer)
void | Decode (TimeBlockBuffer< float > &buffer, const unsigned int *symbolBuffer, size_t blockRow) const
void | Encode (TimeBlockBuffer< float > &buffer, float *metaBuffer, unsigned int *symbolBuffer) const

## Private Attributes

const size_t | _nPolarizations
const size_t | _nChannels
const size_t | _quantCount
float | _decodeMaxValue

## Detailed Description

Definition at line 9 of file weightblockencoder.h.

## Constructor & Destructor Documentation

## WeightBlockEncoder()

WeightBlockEncoder::WeightBlockEncoder | ( | size_t | nPolarizations,
|  | size_t | nChannels,
|  | size_t | quantCount )

inline

Definition at line 11 of file weightblockencoder.h.

References _nChannels, _nPolarizations, and _quantCount.

## Member Function Documentation

## Decode()

void WeightBlockEncoder::Decode | ( | TimeBlockBuffer< float > & | buffer,
|  | const unsigned int * | symbolBuffer,
|  | size_t | blockRow ) const

inline

Definition at line 26 of file weightblockencoder.h.

References _decodeMaxValue, _nChannels, _nPolarizations, _quantCount, and TimeBlockBuffer< data_t >::DataRow::visibilities.

## Encode()

void WeightBlockEncoder::Encode | ( | TimeBlockBuffer< float > & | buffer,
|  | float * | metaBuffer,
|  | unsigned int * | symbolBuffer ) const

inline

Definition at line 40 of file weightblockencoder.h.

References _nChannels, _nPolarizations, _quantCount, and TimeBlockBuffer< data_t >::GetVector().

## InitializeDecode()

void WeightBlockEncoder::InitializeDecode | ( | const float * | metaBuffer | ) |

inline

Definition at line 22 of file weightblockencoder.h.

References _decodeMaxValue.

## MetaDataFloatCount()

size_t WeightBlockEncoder::MetaDataFloatCount | ( |  | ) | const

inline

Definition at line 16 of file weightblockencoder.h.

## SymbolCount()

size_t WeightBlockEncoder::SymbolCount | ( | size_t | nRowsInBlock | ) | const

inline

Definition at line 18 of file weightblockencoder.h.

References _nChannels.

## Member Data Documentation

## _decodeMaxValue

float WeightBlockEncoder::_decodeMaxValue

private

Definition at line 74 of file weightblockencoder.h.

Referenced by Decode(), and InitializeDecode().

## _nChannels

const size_t WeightBlockEncoder::_nChannels

private

Definition at line 72 of file weightblockencoder.h.

Referenced by Decode(), Encode(), SymbolCount(), and WeightBlockEncoder().

## _nPolarizations

const size_t WeightBlockEncoder::_nPolarizations

private

Definition at line 71 of file weightblockencoder.h.

Referenced by Decode(), Encode(), and WeightBlockEncoder().

## _quantCount

const size_t WeightBlockEncoder::_quantCount

private

Definition at line 73 of file weightblockencoder.h.

Referenced by Decode(), Encode(), and WeightBlockEncoder().

The documentation for this class was generated from the following file:

- tables/Dysco/weightblockencoder.h